# Class: SdkModule

### Constructors

#### new SdkModule()

> **new SdkModule**(`config`): `SdkModule`

Creates a new instance of the SdkModule.

**Parameters**

**config**

`Config`

The configuration object containing the SDK API URL.

**Returns**

`SdkModule`

**Defined in**

[module/sdk.ts:19](https://github.com/haven1network/haven1-sdk/blob/0001e1c92905c3f34b86b89ff2290ffba9fe7417/packages/api-client/src/module/sdk.ts#L19)

### Methods

#### getClient()

> **getClient**(): `undefined` | `Client`<`paths`, \`${string}/${string}\`>

Retrieves the OpenAPI client instance for making requests.

**Returns**

`undefined` | `Client`<`paths`, \`${string}/${string}\`>

The API client instance, or undefined if not initialized.

**Defined in**

[module/sdk.ts:34](https://github.com/haven1network/haven1-sdk/blob/0001e1c92905c3f34b86b89ff2290ffba9fe7417/packages/api-client/src/module/sdk.ts#L34)

***

#### getIdentityDetail()

> **getIdentityDetail**(`filters`?): `undefined` | `Promise`<`FetchResponse`<{}, { `params`: { `query`: { `filters`: `undefined` | `string`; }; }; }, \`${string}/${string}\`>>

Retrieves current signed in user identity details with optional filters.

**Parameters**

**filters?**

`string`

Optional filters for fetching identity details.

**Returns**

`undefined` | `Promise`<`FetchResponse`<{}, { `params`: { `query`: { `filters`: `undefined` | `string`; }; }; }, \`${string}/${string}\`>>

The server response for the identity details, or undefined if the client is not initialized.

**Defined in**

[module/sdk.ts:117](https://github.com/haven1network/haven1-sdk/blob/0001e1c92905c3f34b86b89ff2290ffba9fe7417/packages/api-client/src/module/sdk.ts#L117)

***

#### getIdentityReferral()

> **getIdentityReferral**(): `undefined` | `Promise`<`FetchResponse`<{}, `undefined` | `FetchOptions`<{}>, \`${string}/${string}\`>>

Fetches the identity referral information.

**Returns**

`undefined` | `Promise`<`FetchResponse`<{}, `undefined` | `FetchOptions`<{}>, \`${string}/${string}\`>>

A promise that resolves to the identity referral information.

**Defined in**

[module/sdk.ts:132](https://github.com/haven1network/haven1-sdk/blob/0001e1c92905c3f34b86b89ff2290ffba9fe7417/packages/api-client/src/module/sdk.ts#L132)

***

#### getNotifications()

> **getNotifications**(`limit`, `offset`, `filters`): `undefined` | `Promise`<`FetchResponse`<{}, { `params`: { `query`: { `filters`: `Record`<`string`, `never`>; `limit`: `string`; `offset`: `string`; }; }; }, \`${string}/${string}\`>>

Fetches a list of notifications with optional filters, limit, and offset.

**Parameters**

**limit**

`number`

The maximum number of notifications to fetch.

**offset**

`number`

The number of notifications to skip for pagination.

**filters**

`Record`<`string`, `string`\[]>

A record AppName and TxType of filters to apply.

**Returns**

`undefined` | `Promise`<`FetchResponse`<{}, { `params`: { `query`: { `filters`: `Record`<`string`, `never`>; `limit`: `string`; `offset`: `string`; }; }; }, \`${string}/${string}\`>>

The server response for the notifications, or `undefined` if the client is not initialized.

**Defined in**

[module/sdk.ts:46](https://github.com/haven1network/haven1-sdk/blob/0001e1c92905c3f34b86b89ff2290ffba9fe7417/packages/api-client/src/module/sdk.ts#L46)

***

#### guardianTransaction()

> **guardianTransaction**(`chainId`, `data`, `from`, `to`, `nonce`, `value`): `undefined` | `Promise`<`FetchResponse`<{}, { `body`: { `chainId`: `string`; `data`: `string`; `from`: `string`; `nonce`: `string`; `to`: `string`; `value`: `string`; }; }, \`${string}/${string}\`>>

Submits a transaction for checking guardian requirements.

**Parameters**

**chainId**

`string`

The chain ID of the transaction.

**data**

`string`

The transaction data.

**from**

`string`

The sender's address.

**to**

`string`

The recipient's address.

**nonce**

`string`

The transaction nonce.

**value**

`string`

The transaction value.

**Returns**

`undefined` | `Promise`<`FetchResponse`<{}, { `body`: { `chainId`: `string`; `data`: `string`; `from`: `string`; `nonce`: `string`; `to`: `string`; `value`: `string`; }; }, \`${string}/${string}\`>>

The server response for guardian requirements, or undefined if the client is not initialized.

**Defined in**

[module/sdk.ts:91](https://github.com/haven1network/haven1-sdk/blob/0001e1c92905c3f34b86b89ff2290ffba9fe7417/packages/api-client/src/module/sdk.ts#L91)

***

#### submitOTP()

> **submitOTP**(`address`, `hash`, `otp`): `undefined` | `Promise`<`FetchResponse`<{}, { `body`: { `address`: `string`; `hash`: `string`; `otp`: `string`; }; }, \`${string}/${string}\`>>

Submits a one-time password (OTP) for verification.

**Parameters**

**address**

`string`

The user's address.

**hash**

`string`

The tx hash of the OTP.

**otp**

`string`

The OTP to be submitted.

**Returns**

`undefined` | `Promise`<`FetchResponse`<{}, { `body`: { `address`: `string`; `hash`: `string`; `otp`: `string`; }; }, \`${string}/${string}\`>>

The server response for the OTP submission, or `undefined` if the client is not initialized.

**Defined in**

[module/sdk.ts:70](https://github.com/haven1network/haven1-sdk/blob/0001e1c92905c3f34b86b89ff2290ffba9fe7417/packages/api-client/src/module/sdk.ts#L70)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-sdk-api-client/class-sdkmodule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
